SMTP-SINK(1)

NAME
smtp-sink - multi-threaded SMTP/LMTP test server

SYNOPSIS
smtp-sink [options] [inet:][host]:port backlog smtp-sink [options] unix:pathname backlog

DESCRIPTION
smtp-sink listens on the named host (or address) and port. It takes SMTP messages from the network and throws them away. The purpose is to measure client performance, not protocol compliance. Connections can be accepted on IPv4 or IPv6 endpoints, or on UNIX-domain sockets. IPv4 and IPv6 are the default. This program is the complement of the smtp-source(1) program. Arguments:

-4  Support IPv4 only. This option has no effect when Postfix is built without IPv6 support.

-6  Support IPv6 only. This option is not available when Postfix is built without IPv6 support.

-8  Do not announce 8BITMIME support.

-a  Do not announce SASL authentication support.

-c  Display running counters that are updated whenever an SMTP session ends, a QUIT command is executed, or when "." is received.

-C  Disable XCLIENT support.

-e  Do not announce ESMTP support.

-E  Do not announce ENHANCEDSTATUSCODES support.

-f command,command,...
    Reject the specified commands with a hard (5xx) error code. This option implies -p.

    Examples of commands are CONNECT, HELO, EHLO, LHLO, MAIL, RCPT, VRFY, DATA, ., RSET, NOOP, and QUIT. Separate command names by white space or commas, and use quotes to protect white space from the shell. Command names are case-insensitive.

-F  Disable XFORWARD support.

-h hostname
    Use hostname in the SMTP greeting, in the HELO response, and in the EHLO response. The default hostname is "smtp-sink".

-L  Enable LMTP instead of SMTP.

-n count
    Terminate after count sessions. This is for testing purposes.

-p  Do not announce support for ESMTP command pipelining.

-P  Change the server greeting so that it appears to come through a CISCO PIX system. Implies -e.

-q command,command,...
    Disconnect (without replying) after receiving one of the specified commands.

    Examples of commands are CONNECT, HELO, EHLO, LHLO, MAIL, RCPT, VRFY, DATA, ., RSET, NOOP, and QUIT. Separate command names by white space or commas, and use quotes to protect white space from the shell. Command names are case-insensitive.

-r command,command,...
    Reject the specified commands with a soft (4xx) error code. This option implies -p.

    Examples of commands are CONNECT, HELO, EHLO, LHLO, MAIL, RCPT, VRFY, DATA, ., RSET, NOOP, and QUIT. Separate command names by white space or commas, and use quotes to protect white space from the shell. Command names are case-insensitive.

-s command,command,...
    Log the named commands to syslogd.

    Examples of commands are CONNECT, HELO, EHLO, LHLO, MAIL, RCPT, VRFY, DATA, ., RSET, NOOP, and QUIT. Separate command names by white space or commas, and use quotes to protect white space from the shell. Command names are case-insensitive.

-t timeout (default: 100)
    Limit the time for receiving a command or sending a response. The time limit is specified in seconds.

-v  Show the SMTP conversations.

-w delay
    Wait delay seconds before responding to a DATA command.

[inet:][host]:port
    Listen on network interface host (default: any interface) TCP port port. Both host and port may be specified in numeric or symbolic form.

unix:pathname
    Listen on the UNIX-domain socket at pathname.

backlog
    The maximum length the queue of pending connections, as defined by the listen(2) system call.

SEE ALSO
smtp-source(1), SMTP/LMTP message generator

LICENSE
The Secure Mailer license must be distributed with this software.

AUTHOR(S)
Wietse Venema
IBM T.J. Watson Research
P.O. Box 704
Yorktown Heights, NY 10598, USA